<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");

		unset($titulos);
		unset($query_nomina);
        unset($nom_xls);
		$titulos[]="MENSAJERO";
		$titulos[]="GUIA";
		$titulos[]="ODS";
		$titulos[]="ZONA";
		$titulos[]="FECHA";
		$titulos[]="EMPRESA";
		$titulos[]="DESTINATARIO";
		$titulos[]="DIRECCION";
		$titulos[]="TELEFONO";
		$titulos[]="CIUDAD";
		$titulos[]="PRODUCTO";


$nombrepagina = "PENDIENTE GENERAL POR ORDEN";
encabezado($target);
$user=$_SESSION['validar'];
$tamano_pagina=20;
$_SESSION['tam']=$tamano_pagina;
$pagina = $_GET["pagina"];
if(!$pagina){
	$inicio=0;
	$_SESSION['inicio']=$inicio;
	$pagina=1;
}else{
	$inicio=($pagina-1)*$tamano_pagina;
	$_SESSION['inicio']=$inicio;
}
class llamado{
	var $menuObj;
	function validar1($id_user,$id_sucursal){
		$this->menuObj=new menu_inicio();
		$this->menuObj->menu2($id_user,$id_sucursal);
	}
}
$llamadoObj=new llamado();
$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
entrada($user,$_GET['id_user'],$_GET['suc']);
echo"</td>";
echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
mostrar_cabeza_trabajo($nombrepagina);
$perfil=$_SESSION['perfil'];
if($perfil==0){
	$add="WHERE g.id_estado='13' AND g.orden='".$orden."'";
}else{
	$add="WHERE g.id_sucursal='".$_GET['suc']."' AND g.id_estado='13' AND g.orden='".$orden."'";
}
$sql_pendientes="SELECT COUNT(guia) FROM mensajeros as m ".
"inner join $tabla as g on m.id_mensajero=g.id_mensajero AND m.id_sucursal=g.id_sucursal $add group by g.id_mensajero";
//g.cod_zona,
class filas{
	var $rowsobj;
	function cantidad($sql_consulta){
		$this->userObj=new select_zonas();
		$cant=$this->userObj->get_filas($sql_consulta);
		return $cant;
	}
	function arreglo($sql_consulta){
		$this->userObj=new select_zonas();
		$array=$this->userObj->get_array($sql_consulta);
		return $array;
	}
	function eliminar($perfil,$orden,$tabla){
		$tamano_pagina=$_SESSION['tam'];
		$inicio=$_SESSION['inicio'];
		$this->userObj=new select_zonas();
		$this->userObj->lista_ods_p($inicio,$tamano_pagina,$_GET['suc'],$perfil,$orden,$tabla);
	}
}
$filasobj=new filas();
$filas=$filasobj->cantidad($sql_pendientes);
$array=$filasobj->arreglo($sql_pendientes);
$total_paginas= ceil($filas/$tamano_pagina);
$numero_filas=count($array);
for($i=0; $i<$numero_filas; $i++)
$cant=$cant+$array[$i][0];


$sql_pendientes="SELECT COUNT(guia) FROM mensajeros as m ".
"inner join $tabla as g on m.id_mensajero=g.id_mensajero
 AND m.id_sucursal=g.id_sucursal $add group by g.id_mensajero";

$query_pen_ods="SELECT trim(m.nombre),trim(g.guia),trim(g.orden),trim(nom_zona),
date(g.fecha_cargue),trim(o.producto),trim(g.empresa),
trim(g.destinatario),trim(g.direccion),trim(g.telefono),trim(g.ciudad) 
FROM guias_proceso as g 
inner join mensajeros as m on (g.id_mensajero=m.id_mensajero)
inner join ordenes as o on (g.orden=o.orden)
WHERE g.id_estado='13' and g.orden='".$orden."' order by nombre,nom_zona,id_conse";
		//echo $query_pen_men;
		$_SESSION['sql_nomina']=$query_pen_ods;
		$_SESSION['titulos']=$titulos;
        $_SESSION['nom_xls']="Pendientes_Orden";

?>
<CENTER>
<table width="480" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="4" class=miTable_th1><div align="center">..:: Pendientes Orden No <? echo $orden;?> ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="4" class=miTable_th1>Cantidad de registros encontrados <? print $filas;?>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<a href='xls_alfa.php'> Exportar a Excel <img src='imagenes/xls_icon.gif' align="absmiddle" title="Exportar a Excel"/></a>

</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="200">Mensajero</td>
<td valign=top class=miTable_th1 width="60">Cantidad</td>
<td valign=top class=miTable_th1 colspan="2" width="140">Pendientes</td>
</tr>
<? $filasobj->eliminar($perfil,$orden,$tabla); ?>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
Total:
</td>
<td class=miTable_th1 colspan="3">
<? echo $cant;?>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1){   echo "Paginas:";
$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
if($start > 1 ){
	print "&nbsp;<a href='pendientes_ods_total.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&tabla=$tabla&orden=$orden'> << </A>";
}
for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
	if($pagina == $start+$i){
		print "&nbsp;&nbsp;".($start+$i);
	}else{
		print "&nbsp;&nbsp;<a href='pendientes_ods_total.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&tabla=$tabla&orden=$orden'>". ($start+$i)." </A>";
	}
}
if($start+$i < $total_paginas){
	print "&nbsp;&nbsp;<a href='pendientes_ods_total.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&tabla=$tabla&orden=$orden'> >> </A>";
}
}
?>
</div>
</td>
</tr>
<tr class=miTable_tr>
<form method='GET' action="">
<td class=miTable_th1 colspan="9">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='hidden' name='tabla' value='<? echo $tabla?>'>
<input type='hidden' name='orden' value='<? echo $orden?>'>
<input type='hidden' name='f2' value='<? echo $f2?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV>
</td>
</form>
</tr>
</table>
</CENTER>
<?
mostrar_pie();
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
?><td><center>
<? pie_de_pagina();?>
</center></td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</center>";
echo"</body>";
echo"</html>";
?>